import { ElementRef, EventEmitter, Injector, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SearchInputWithOptionsComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private injector;
    private elementRef;
    searchInput: ElementRef<HTMLInputElement>;
    values: {
        name: string;
        value: any;
    }[];
    filtredValues: {
        name: string;
        value: any;
    }[];
    isOpen: boolean;
    formControl: FormControl;
    searchString: FormControl;
    ngModelChange: EventEmitter<any>;
    private subscription;
    onDocumentClick(event: MouseEvent): void;
    constructor(injector: Injector, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    searchByString(keyEvent: any): void;
    takeValue(option: {
        name: string;
        value: any;
    }): void;
    openSearch(): void;
    setComponentControl(): void;
    writeValue(): void;
    registerOnChange(): void;
    registerOnTouched(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchInputWithOptionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchInputWithOptionsComponent, "epom-search-input-with-options", never, { "values": "values"; }, {}, never, never, false>;
}
